zir
Prev | Orchestra Opcodes and Operators | Next

## zir

zir — Reads from a location in zk space at i-rate.

## Description

Reads from a location in zk space at i-rate.

## Syntax

    ir zir indx

## Initialization

indx -- points to the zk location to be read.

## Performance

zir reads the signal at indx location in zk space.

## Examples

Here is an example of the zir opcode. It uses the file zir.csd.

Example 1256. Example of the zir opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o zir.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Initialize the ZAK space.
    ; Create 1 a-rate variable and 1 k-rate variable.
    zakinit 1, 1

    ; Instrument #1 -- a simple instrument.
    instr 1
      ; Set the zk variable #1 to 32.594.
      ziw 32.594, 1
    endin

    ; Instrument #2 -- prints out zk variable #1.
    instr 2
      ; Read the zk variable #1 at i-rate.
      i1 zir 1

      ; Print out the value of zk variable #1.
      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    ; Play Instrument #2 for one second.
    i 2 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

## See also

Zak Patch System

## Credits

Author: Robin Whittle
Australia
May 1997

New in version 3.45

Example written by Kevin Conder.

Prev | Up | Next
zfilter2 | Home | ziw